<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
        "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.system.model.SystemMenu" table="system_menu">
        <id name="id" type="java.lang.String">
            <column name="id" length="50"/>
            <generator class="uuid"/>
        </id>
        <property name="code" type="java.lang.String">
            <column name="code" length="50">
                <comment>自定义菜单代码</comment>
            </column>
        </property>
        <property name="name" type="java.lang.String">
            <column name="name" length="50" not-null="true">
                <comment>菜单名称</comment>
            </column>
        </property>
        <property name="pyCode" type="java.lang.String">
            <column name="py_code" length="50">
                <comment>拼音码</comment>
            </column>
        </property>
        <property name="url" type="java.lang.String">
            <column name="url" length="200">
                <comment>菜单地址</comment>
            </column>
        </property>
        <property name="pid" type="java.lang.String">
            <column name="pid" length="50" not-null="true">
                <comment>上级id(默认#)</comment>
            </column>
        </property>
        <property name="sort" type="java.lang.Integer">
            <column name="sort" not-null="true">
                <comment>排序</comment>
            </column>
        </property>
        <property name="remark" type="java.lang.String">
            <column name="remark" length="200">
                <comment>说明</comment>
            </column>
        </property>
        <property name="orgId" type="java.lang.String">
            <column name="org_id" length="50">
                <comment>机构代码(预留)</comment>
            </column>
        </property>
        <property name="valid" type="java.lang.String">
            <column name="valid" length="10" not-null="true">
                <comment>是否有效</comment>
            </column>
        </property>
        <property name="openType" type="java.lang.String">
            <column name="open_type" length="10" not-null="true">
                <comment>是否有效</comment>
            </column>
        </property>

    </class>
</hibernate-mapping>
